Skip to main content
GET
/
v1
/
pricing_locations
/
{gs_entity_id}
Get pricing location
curl --request GET \
  --url https://api.gridcertainty.com/v1/pricing_locations/{gs_entity_id} \
  --header 'x-api-key: <api-key>'
{
  "gs_entity_id": "<string>",
  "location": "<string>",
  "location_type": "<string>",
  "market_id": "<string>",
  "baa": "<string>",
  "zone": "<string>",
  "zone_type": "<string>",
  "latitude": 123,
  "longitude": 123,
  "pricing_datasets": [
    "<string>"
  ],
  "earliest_seen_utc": "<string>",
  "latest_seen_utc": "<string>",
  "status_threshold_days": 123,
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.gridcertainty.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

gs_entity_id
string
required

Pricing location identifier.

Query Parameters

isos
string
default:ercot

Comma-separated ISO codes. The first value is used as the market code.

Response

Pricing location details

gs_entity_id
string
location
string
location_type
string | null
market_id
string | null
baa
string | null
zone
string | null
zone_type
string | null
latitude
number | null
longitude
number | null
pricing_datasets
string[]
earliest_seen_utc
string | null
latest_seen_utc
string | null
status_threshold_days
number | null
status
string | null